Bug 846428 - [RV515] Artifacts displayed on fonts on menubar and titlebar
[RV515] Artifacts displayed on fonts on menubar and titlebar
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 14:45 EDT by Garrett Mitchener
Modified: 2013-08-01 09:44 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 679414
Environment:
Last Closed: 2013-08-01 09:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot with radeon.no_wb=1 (1.94 MB, image/png)
2012-09-17 15:52 EDT, Garrett Mitchener
no flags Details

  None (edit)
Description Garrett Mitchener 2012-08-07 14:45:51 EDT
I still see this in Fedora 17.

+++ This bug was initially created as a clone of Bug #679414 +++

Created attachment 480142 [details]
screenshot

Description of problem:
Artifacts displayed on menubar and titlebar when trying the live image (desktop-20110221-x86_64).

They go away after a while of moving windows around, shifting focus, hovering over menu entries, etc. (no definite way; some artifacts went away by hovering, some randomly).

Hardware:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility X1400 (prog-if 00 [VGA controller])
	Subsystem: Lenovo Thinkpad T60 model 2007
	Flags: bus master, fast devsel, latency 0, IRQ 46
	Memory at d8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at 2000 [size=256]
	Memory at ee100000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at ee120000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon
	Kernel modules: radeon

--- Additional comment from mcepl@redhat.com on 2011-02-24 10:35:56 EST ---

Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

--- Additional comment from amit.shah@redhat.com on 2011-02-25 23:22:17 EST ---

Created attachment 481116 [details]
dmesg output

This issue didn't reproduce twice when I booted with drm.debug=0x04.  Attaching the logs from the boot nevertheless.

--- Additional comment from amit.shah@redhat.com on 2011-02-25 23:22:56 EST ---

Created attachment 481117 [details]
/var/log/messages

--- Additional comment from amit.shah@redhat.com on 2011-02-25 23:23:35 EST ---

Created attachment 481118 [details]
Xorg.0.log

--- Additional comment from snejpa@googlemail.com on 2011-05-09 08:34:02 EDT ---

Can confirm this behavior on my thinkpad with the same hardware specs.

--- Additional comment from garrett.mitchener@gmail.com on 2011-06-30 10:57:13 EDT ---

I see this sometimes on my system.  Graphics card is: ATI Technologies Inc RV530GL [FireGL V3400]

It seems to have something to do with  settings for fonts.  I see almost none of it when I set the font hinting to Medium and anti-aliasing to grayscale in gnome-tweak-tool.

--- Additional comment from garrett.mitchener@gmail.com on 2011-06-30 10:59:51 EDT ---

Possibly related to bug # 692191

--- Additional comment from garrett.mitchener@gmail.com on 2011-06-30 11:04:14 EDT ---

Possibly related to bug # 712244

--- Additional comment from garrett.mitchener@gmail.com on 2011-06-30 11:30:00 EDT ---

Possibly related to bug # 714890
	
I'm also seeing this with glade 3.8 (which I compiled and packaged myself-- it's not in fedora.)

I also see this with firefox every so often, though it seems to fix itself after a while.

--- Additional comment from tim@niemueller.de on 2011-10-11 18:10:11 EDT ---

Any progress on this? It's really annoying, especially Emacs and console loosing colors sometimes.

--- Additional comment from garrett.mitchener@gmail.com on 2012-07-16 11:40:14 EDT ---

This is still affecting me in Fedora 17.  Any progress?

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 12:27:37 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Garrett Mitchener 2012-08-07 14:47:40 EDT
Probably the same as bug #712244
Comment 2 Jérôme Glisse 2012-08-27 16:27:59 EDT
Also can you test if booting with radeon.no_wb=1 fix the issue ?
Comment 3 Garrett Mitchener 2012-09-17 15:51:40 EDT
No, it doesn't work.  See screenshot.
Comment 4 Garrett Mitchener 2012-09-17 15:52:23 EDT
Created attachment 613765 [details]
screenshot with radeon.no_wb=1
Comment 5 Fedora End Of Life 2013-07-04 00:29:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:44:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.